micro_utils.dokka
0.15.1

# FullReadKeyValuesCacheRepo

open class FullReadKeyValuesCacheRepo<Key, Value>(parentRepo: ReadKeyValuesRepo<Key, Value>, kvCache: FullKVCache<Key, List<Value>>) : ReadKeyValuesRepo<Key, Value> , FullCacheRepo

## Constructors

FullReadKeyValuesCacheRepo
Link copied to clipboard
fun <Key, Value> FullReadKeyValuesCacheRepo(parentRepo: ReadKeyValuesRepo<Key, Value>, kvCache: FullKVCache<Key, List<Value>>)

## Functions

contains
Link copied to clipboard
open suspend override fun contains(k: Key): Boolean
open suspend override fun contains(k: Key, v: Value): Boolean
count
Link copied to clipboard
open suspend override fun count(): Long
open suspend override fun count(k: Key): Long
get
Link copied to clipboard
open suspend override fun get(k: Key, pagination: Pagination, reversed: Boolean): PaginationResult<Value>
getAll
Link copied to clipboard
open suspend fun getAll(reverseLists: Boolean = false): Map<Key, List<Value>>

WARNING!!! THIS METHOD PROBABLY IS NOT EFFICIENT, USE WITH CAUTION

open suspend fun getAll(k: Key, reversed: Boolean = false): List<Value>
keys
Link copied to clipboard
open suspend override fun keys(pagination: Pagination, reversed: Boolean): PaginationResult<Key>
open suspend override fun keys(v: Value, pagination: Pagination, reversed: Boolean): PaginationResult<Key>

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: KVCache<Key, List<Value>>): ReadKeyValuesCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: FullKVCache<Key, List<Value>>): FullReadKeyValuesCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValuesRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValuesRepo<FromKey, FromValue>